<link href="_lib/morris.css" rel="stylesheet" />		
<script src="_lib/jquery.js"></script>
<script src="_lib/raphael-min.js"></script>
<script src="_lib/morris.min.js"></script>

<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	
$month_sel = date("Y-m");
$month_num = date("m");

$result = mysql_query("SELECT 
bulan, masuk, putus, minutasi, FLOOR((@sisa_tahun_lalu := @sisa_tahun_lalu + (masuk - minutasi))-(masuk - minutasi)) AS sisa FROM
(SELECT @sisa_tahun_lalu := (SELECT SUM(CASE WHEN YEAR(perkara.tanggal_pendaftaran)<=YEAR(NOW()) AND (YEAR(perkara_putusan.tanggal_minutasi)>=YEAR(NOW()) OR (perkara_putusan.tanggal_minutasi IS NULL OR perkara_putusan.tanggal_minutasi='')) THEN 1 ELSE 0 END) AS sisa
FROM perkara LEFT JOIN perkara_putusan ON perkara.perkara_id=perkara_putusan.perkara_id 
WHERE YEAR(perkara.tanggal_pendaftaran)<=YEAR(NOW())-1 AND (YEAR(perkara_putusan.tanggal_minutasi)>=YEAR(NOW()) OR (perkara_putusan.tanggal_minutasi IS NULL OR perkara_putusan.tanggal_minutasi='')) AND perkara.alur_perkara_id <> 114)) AS sisa_tahun_lalu,
(SELECT
DATE_FORMAT(perkara.tanggal_pendaftaran,'%Y-%m') AS bulan, 
SUM(CASE WHEN YEAR(perkara.tanggal_pendaftaran)>=YEAR(NOW()) THEN 1 ELSE 0 END) AS masuk
FROM perkara LEFT JOIN perkara_putusan ON perkara.perkara_id=perkara_putusan.perkara_id 
WHERE YEAR(perkara.tanggal_pendaftaran)>=YEAR(NOW()) AND perkara.alur_perkara_id <> 114 
GROUP BY YEAR(perkara.tanggal_pendaftaran), MONTH(perkara.tanggal_pendaftaran)) AS A
INNER JOIN 
(SELECT
DATE_FORMAT(perkara_putusan.tanggal_putusan,'%Y-%m') bulan, 
SUM(CASE WHEN YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW()) THEN 1 ELSE 0 END) AS putus
FROM perkara LEFT JOIN perkara_putusan ON perkara.perkara_id=perkara_putusan.perkara_id 
WHERE YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW()) AND perkara.alur_perkara_id <> 114 
GROUP BY YEAR(perkara_putusan.tanggal_putusan), MONTH(perkara_putusan.tanggal_putusan)) AS B
USING (bulan)
INNER JOIN 
(SELECT
DATE_FORMAT(perkara_putusan.tanggal_minutasi,'%Y-%m') bulan, 
SUM(CASE WHEN YEAR(perkara_putusan.tanggal_minutasi)=YEAR(NOW()) THEN 1 ELSE 0 END) AS minutasi
FROM perkara LEFT JOIN perkara_putusan ON perkara.perkara_id=perkara_putusan.perkara_id 
WHERE YEAR(perkara_putusan.tanggal_minutasi)=YEAR(NOW()) AND perkara.alur_perkara_id <> 114 
GROUP BY YEAR(perkara_putusan.tanggal_minutasi), MONTH(perkara_putusan.tanggal_minutasi)) AS C
USING (bulan)");
$rows = array();
while($tableRow = mysql_fetch_assoc($result)) {
	$rows[] = $tableRow;
}

foreach ($rows as $label):		
	$l_sisa[] = $label['sisa'];
	$l_masuk[] = $label['masuk'];
	$l_putus[] = $label['putus'];
	$l_minut[] = $label['minutasi'];
endforeach;
$arr_l = array(max($l_sisa),max($l_masuk),max($l_putus),max($l_minut));
$max_h = max($arr_l);
for ($h=0; $h<=$max_h+100; $h+=100){
	if ($h > $max_h){
		$max_stat = $h/5;
	}
}
$max = max($arr_l);
for ($i=0; $i<=$max+$max_stat; $i+=$max_stat){
	if ($i > $max){
		$max_key = $i;
	}
}
//print json_encode ckng($rows);

$query = mysql_query("SELECT C.putus_tahun_lalu AS putus_tahun_lalu, C.sisa_tahun_lalu AS sisa_tahun_lalu, C.masuk_tahun_ini AS masuk_tahun_ini, C.putus_tahun_ini AS putus_tahun_ini, C.minutasi_tahun_ini AS minutasi_tahun_ini,
(SELECT VALUE FROM sys_config WHERE id = 62) AS nama_PA,
(SELECT VALUE FROM sys_config WHERE id = 80) AS versi_SIPP,
(ROUND(SUM(C.minutasi_tahun_ini)*100/(SUM(C.masuk_tahun_ini)+SUM(C.sisa_tahun_lalu)),2)) AS persentase_putus,
(ROUND(SUM(C.minutasi_tahun_ini)*100/SUM(C.putus_tahun_ini),2)) AS persentase_minutasi
FROM (SELECT
SUM(CASE WHEN YEAR(B.tanggal_putusan)=YEAR(NOW())-1 THEN 1 ELSE 0 END) AS putus_tahun_lalu,
SUM(CASE WHEN YEAR(A.tanggal_pendaftaran)<=YEAR(NOW())-1 AND (YEAR(B.tanggal_minutasi)>=YEAR(NOW()) OR (B.tanggal_minutasi IS NULL OR B.tanggal_minutasi='')) THEN 1 ELSE 0 END) AS sisa_tahun_lalu,
SUM(CASE WHEN YEAR(A.tanggal_pendaftaran)=YEAR(NOW()) THEN 1 ELSE 0 END) AS masuk_tahun_ini,
SUM(CASE WHEN YEAR(A.tanggal_pendaftaran)<=YEAR(NOW()) AND YEAR(B.tanggal_putusan)=YEAR(NOW()) THEN 1 ELSE 0 END) AS putus_tahun_ini,
SUM(CASE WHEN YEAR(B.tanggal_putusan)=YEAR(NOW()) AND YEAR(B.tanggal_minutasi)>=YEAR(NOW()) THEN 1 ELSE 0 END) AS minutasi_tahun_ini
FROM perkara AS A 
LEFT JOIN perkara_putusan AS B ON A.perkara_id=B.perkara_id
WHERE A.alur_perkara_id <> 114) AS C") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query);
$namaPN = $row['nama_PA'];
$versiSIPP = $row['versi_SIPP'];
$putus_tahun_lalu = $row['putus_tahun_lalu'];
$sisa_tahun_lalu = $row['sisa_tahun_lalu'];
$masuk_tahun_ini = $row['masuk_tahun_ini'];
$beban_tahun_ini = $sisa_tahun_lalu + $masuk_tahun_ini;
$putus_tahun_ini = $row['putus_tahun_ini'];
$beban_minutasi_tahun_ini = $row['putus_tahun_ini'];
$minutasi_tahun_ini = $row['minutasi_tahun_ini'];
$sisa_tahun_ini = $beban_tahun_ini - $minutasi_tahun_ini;
$persentase_putus = number_format($row['persentase_putus'],2, '.', '');
$persentase_minutasi = number_format($row['persentase_minutasi'],2, '.', '');

if ($row['persentase_putus'] <=50) {
	$warna_persentase_putus = 'red';
} else if ($persentase_putus >=90){
	$warna_persentase_putus = '#9ACD32';
} else {
	$warna_persentase_putus = '#f1c40f';
}

if ($row['persentase_minutasi'] <=50) {
	$warna_persentase_minutasi = 'red';
} else if ($persentase_minutasi >=90){
	$warna_persentase_minutasi = '#9ACD32';
} else {
	$warna_persentase_minutasi = '#f1c40f';
}

$query1 = mysql_query("SELECT
SUM(CASE WHEN YEAR(A.tanggal_putusan)=YEAR(NOW())-1 AND B.perkara_id THEN 1 ELSE 0 END) AS dirput_tahun_lalu,
SUM(CASE WHEN YEAR(A.tanggal_putusan)=YEAR(NOW()) AND B.perkara_id THEN 1 ELSE 0 END) AS dirput_tahun_ini
FROM perkara_putusan AS A 
LEFT JOIN dirput_antrian AS B ON A.perkara_id=B.perkara_id 
WHERE A.tanggal_putusan IS NOT NULL
AND B.perkara_id IS NOT NULL
AND B.status = '1'") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query1);
$dirput_tahun_lalu = $row['dirput_tahun_lalu'];
$dirput_tahun_ini = $row['dirput_tahun_ini'];
$sisa_publikasi = $putus_tahun_ini - $dirput_tahun_ini;
$persentase_dirput = number_format(($dirput_tahun_ini*100)/$putus_tahun_ini,2, '.', '');
$total_persentase = number_format((($persentase_putus*30/100) + ($persentase_minutasi*30/100) + ($persentase_dirput*40/100)),2, '.', ''); 

if ($persentase_dirput <=50) {
	$warna_persentase_dirput = 'red';
} else if ($persentase_dirput >=75){
	$warna_persentase_dirput = '#9ACD32';
} else {
	$warna_persentase_dirput = '#f1c40f';
}

if ($total_persentase <=50) {
	$warna_total_persentase = 'red';
} else if ($total_persentase >=90){
	$warna_total_persentase = '#9ACD32';
} else {
	$warna_total_persentase = '#f1c40f';
}


$query2 = mysql_query("SELECT
SUM(CASE WHEN (perkara_putusan.putusan_verstek = 'Y') THEN '1' ELSE '2' END) AS jumlah_bobot_total
FROM perkara_putusan
WHERE YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW())") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query2);
$jumlah_bobot_total = $row['jumlah_bobot_total'];
$rasio_bobot_proses = number_format(($jumlah_bobot_total / ($putus_tahun_ini * 2 )) * 100,3, '.', '');

if ($rasio_bobot_proses <=50) {
	$warna_rasio_bobot_proses = 'red';
} else if ($rasio_bobot_proses >=75){
	$warna_rasio_bobot_proses = '#9ACD32';
} else {
	$warna_rasio_bobot_proses = '#f1c40f';
}



$query3 = mysql_query("SELECT 
SUM(CASE WHEN (SELECT DATEDIFF(perkara_putusan.tanggal_putusan,perkara.tanggal_pendaftaran)) BETWEEN '0' AND '30' THEN '5' ELSE '0' END) AS jumlah_waktu_putus_51,
SUM(CASE WHEN (SELECT DATEDIFF(perkara_putusan.tanggal_putusan,perkara.tanggal_pendaftaran)) BETWEEN '31' AND '60' THEN '3' ELSE '0' END) AS jumlah_waktu_putus_31,
SUM(CASE WHEN (SELECT DATEDIFF(perkara_putusan.tanggal_putusan,perkara.tanggal_pendaftaran)) BETWEEN '61' AND '90' THEN '2' ELSE '0' END) AS jumlah_waktu_putus_21,
SUM(CASE WHEN (SELECT DATEDIFF(perkara_putusan.tanggal_putusan,perkara.tanggal_pendaftaran)) BETWEEN '91' AND '127' THEN '1' ELSE '0' END) AS jumlah_waktu_putus_11
FROM perkara, perkara_putusan
WHERE perkara_putusan.perkara_id = perkara.perkara_id
AND YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW())") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query3);
$jumlah_waktu_putus_51 = $row['jumlah_waktu_putus_51'];
$jumlah_waktu_putus_31 = $row['jumlah_waktu_putus_31'];
$jumlah_waktu_putus_21 = $row['jumlah_waktu_putus_21'];
$jumlah_waktu_putus_11 = $row['jumlah_waktu_putus_11'];
$jumlah_waktu_putus_aall = $jumlah_waktu_putus_51 + $jumlah_waktu_putus_31 + $jumlah_waktu_putus_21 + $jumlah_waktu_putus_11;
$rasio_waktu_putus1 = number_format(($jumlah_waktu_putus_aall / ($putus_tahun_ini * 5)) * 100,3, '.', '');

if ($rasio_waktu_putus1 <=50) {
	$warna_rasio_waktu_putus1 = 'red';
} else if ($rasio_waktu_putus1 >=75){
	$warna_rasio_waktu_putus1 = '#9ACD32';
} else {
	$warna_rasio_waktu_putus1 = '#f1c40f';
}

$query4 = mysql_query("SELECT 
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)) BETWEEN '0' AND '30' THEN '5' ELSE '0' END) AS jumlah_waktu_putus_5,
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)) BETWEEN '31' AND '60' THEN '3' ELSE '0' END) AS jumlah_waktu_putus_3,
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)) BETWEEN '61' AND '90' THEN '2' ELSE '0' END) AS jumlah_waktu_putus_2,
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)) BETWEEN '91' AND '150' THEN '1' ELSE '0' END) AS jumlah_waktu_putus_1
FROM perkara AS A 
LEFT JOIN perkara_putusan AS B ON A.perkara_id=B.perkara_id
LEFT JOIN perkara_pihak2 AS C ON A.perkara_id=C.perkara_id AND C.alamat LIKE '%ghaib%'
LEFT JOIN perkara_mediasi AS D ON A.perkara_id=D.perkara_id 
WHERE A.perkara_id = B.perkara_id AND YEAR(B.tanggal_putusan)=YEAR(NOW())") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query4);
$jumlah_waktu_putus_5 = $row['jumlah_waktu_putus_5'];
$jumlah_waktu_putus_3 = $row['jumlah_waktu_putus_3'];
$jumlah_waktu_putus_2 = $row['jumlah_waktu_putus_2'];
$jumlah_waktu_putus_1 = $row['jumlah_waktu_putus_1'];
$jumlah_waktu_putus_all = $jumlah_waktu_putus_5 + $jumlah_waktu_putus_3 + $jumlah_waktu_putus_2 + $jumlah_waktu_putus_1;
$rasio_waktu_putus = number_format(($jumlah_waktu_putus_all / ($putus_tahun_ini * 5)) * 100,3, '.', '');

if ($rasio_waktu_putus <=50) {
	$warna_rasio_waktu_putus = 'red';
} else if ($rasio_waktu_putus >=75){
	$warna_rasio_waktu_putus = '#9ACD32';
} else {
	$warna_rasio_waktu_putus = '#f1c40f';
}

$query4a = mysql_query("SELECT 
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)-IF(D.perkara_id IS NOT NULL,DATEDIFF(D.tgl_laporan_mediator,D.penetapan_penunjukan_mediator),0)) BETWEEN '0' AND '30' THEN '5' ELSE '0' END) AS jumlah_waktu_putus_5a,
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)-IF(D.perkara_id IS NOT NULL,DATEDIFF(D.tgl_laporan_mediator,D.penetapan_penunjukan_mediator),0)) BETWEEN '31' AND '60' THEN '3' ELSE '0' END) AS jumlah_waktu_putus_3a,
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)-IF(D.perkara_id IS NOT NULL,DATEDIFF(D.tgl_laporan_mediator,D.penetapan_penunjukan_mediator),0)) BETWEEN '61' AND '90' THEN '2' ELSE '0' END) AS jumlah_waktu_putus_2a,
SUM(CASE WHEN (SELECT DATEDIFF(B.tanggal_putusan,A.tanggal_pendaftaran)-IF(C.perkara_id IS NOT NULL,120,0)-IF(D.perkara_id IS NOT NULL,DATEDIFF(D.tgl_laporan_mediator,D.penetapan_penunjukan_mediator),0)) BETWEEN '91' AND '150' THEN '1' ELSE '0' END) AS jumlah_waktu_putus_1a
FROM perkara AS A 
LEFT JOIN perkara_putusan AS B ON A.perkara_id=B.perkara_id
LEFT JOIN perkara_pihak2 AS C ON A.perkara_id=C.perkara_id AND C.alamat LIKE '%ghaib%'
LEFT JOIN perkara_mediasi AS D ON A.perkara_id=D.perkara_id 
WHERE A.perkara_id = B.perkara_id AND YEAR(B.tanggal_putusan)=YEAR(NOW())") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query4a);
$jumlah_waktu_putus_5a = $row['jumlah_waktu_putus_5a'];
$jumlah_waktu_putus_3a = $row['jumlah_waktu_putus_3a'];
$jumlah_waktu_putus_2a = $row['jumlah_waktu_putus_2a'];
$jumlah_waktu_putus_1a = $row['jumlah_waktu_putus_1a'];
$jumlah_waktu_putus_alla = $jumlah_waktu_putus_5a + $jumlah_waktu_putus_3a + $jumlah_waktu_putus_2a + $jumlah_waktu_putus_1a;
$rasio_waktu_putusa = number_format(($jumlah_waktu_putus_alla / ($putus_tahun_ini * 5)) * 100,3, '.', '');

if ($rasio_waktu_putusa <=50) {
	$warna_rasio_waktu_putusa = 'red';
} else if ($rasio_waktu_putusa >=75){
	$warna_rasio_waktu_putusa = '#9ACD32';
} else {
	$warna_rasio_waktu_putusa = '#f1c40f';
}

$query5 = mysql_query("SELECT
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,perkara_putusan.tanggal_minutasi)) = '0' THEN '5' ELSE '0' END) AS jumlah_waktu_minutasi_5,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,perkara_putusan.tanggal_minutasi)) BETWEEN '1' AND '3' THEN '3' ELSE '0' END) AS jumlah_waktu_minutasi_3,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,perkara_putusan.tanggal_minutasi)) BETWEEN '4' AND '6' THEN '2' ELSE '0' END) AS jumlah_waktu_minutasi_2,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,perkara_putusan.tanggal_minutasi)) BETWEEN '7' AND '14' THEN '1' ELSE '0' END) AS jumlah_waktu_minutasi_1
FROM perkara_putusan
WHERE YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW())") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query5);
$jumlah_waktu_minutasi_5 = $row['jumlah_waktu_minutasi_5'];
$jumlah_waktu_minutasi_3 = $row['jumlah_waktu_minutasi_3'];
$jumlah_waktu_minutasi_2 = $row['jumlah_waktu_minutasi_2'];
$jumlah_waktu_minutasi_1 = $row['jumlah_waktu_minutasi_1'];
$jumlah_waktu_minutasi_all = $jumlah_waktu_minutasi_5 + $jumlah_waktu_minutasi_3 + $jumlah_waktu_minutasi_2 + $jumlah_waktu_minutasi_1;
$rasio_waktu_minutasi = number_format(($jumlah_waktu_minutasi_all / ($putus_tahun_ini * 5)) * 100,2, '.', '');

if ($rasio_waktu_minutasi <=50) {
	$warna_rasio_waktu_minutasi = 'red';
} else if ($rasio_waktu_minutasi >=75){
	$warna_rasio_waktu_minutasi = '#9ACD32';
} else {
	$warna_rasio_waktu_minutasi = '#f1c40f';
}

$query6 = mysql_query("SELECT
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_antrian.last_tried)) = '0' THEN '5' ELSE '0' END) AS jumlah_bobot_publikasi_5,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_antrian.last_tried)) BETWEEN '1' AND '3' THEN '3' ELSE '0' END) AS jumlah_bobot_publikasi_3,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_antrian.last_tried)) BETWEEN '4' AND '6' THEN '2' ELSE '0' END) AS jumlah_bobot_publikasi_2,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_antrian.last_tried)) BETWEEN '7' AND '14' THEN '1' ELSE '0' END) AS jumlah_bobot_publikasi_1
FROM perkara_putusan, dirput_antrian
WHERE perkara_putusan.perkara_id = dirput_antrian.perkara_id
AND YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW())
AND dirput_antrian.status != '0'") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query6);
$jumlah_bobot_publikasi_5 = $row['jumlah_bobot_publikasi_5'];
$jumlah_bobot_publikasi_3 = $row['jumlah_bobot_publikasi_3'];
$jumlah_bobot_publikasi_2 = $row['jumlah_bobot_publikasi_2'];
$jumlah_bobot_publikasi_1 = $row['jumlah_bobot_publikasi_1'];
$jumlah_bobot_publikasi_all = $jumlah_bobot_publikasi_5 + $jumlah_bobot_publikasi_3 + $jumlah_bobot_publikasi_2 + $jumlah_bobot_publikasi_1;
$rasio_bobot_publikasi = number_format(($jumlah_bobot_publikasi_all / ($putus_tahun_ini * 5)) * 100,3, '.', '');

$nilai_akhir = number_format(($rasio_bobot_proses + $rasio_waktu_putus + $rasio_waktu_minutasi + $persentase_dirput) / 4,2, '.', '');
$nilai_akhir1 = number_format(($rasio_waktu_putus + $rasio_waktu_minutasi + $rasio_bobot_publikasi) / 3,3, '.', '');
$nilai_akhir2 = number_format(($rasio_waktu_putus1 + $rasio_waktu_minutasi + $persentase_dirput) / 3,3, '.', '');

if ($rasio_bobot_publikasi <=50) {
	$warna_rasio_bobot_publikasi = 'red';
} else if ($rasio_bobot_publikasi >=75){
	$warna_rasio_bobot_publikasi = '#9ACD32';
} else {
	$warna_rasio_bobot_publikasi = '#f1c40f';
}

$query7 = mysql_query("SELECT
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_dokumen.updated_date)) = '0' THEN '5' ELSE '0' END) AS jumlah_bobot_publikasi_51,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_dokumen.updated_date)) BETWEEN '1' AND '3' THEN '3' ELSE '0' END) AS jumlah_bobot_publikasi_31,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_dokumen.updated_date)) BETWEEN '4' AND '6' THEN '2' ELSE '0' END) AS jumlah_bobot_publikasi_21,
SUM(CASE WHEN (SELECT TIMESTAMPDIFF(DAY,perkara_putusan.tanggal_putusan,dirput_dokumen.updated_date)) BETWEEN '7' AND '14' THEN '1' ELSE '0' END) AS jumlah_bobot_publikasi_11
FROM perkara_putusan, dirput_dokumen
WHERE perkara_putusan.perkara_id = dirput_dokumen.perkara_id
AND YEAR(perkara_putusan.tanggal_putusan)=YEAR(NOW())
AND (dirput_dokumen.dokumen_ref_id = '89' OR dirput_dokumen.dokumen_ref_id = '317' OR dirput_dokumen.dokumen_ref_id LIKE '%9999%')") or die("Query failed with error: ".mysql_error());
$row = mysql_fetch_assoc($query7);
$jumlah_bobot_publikasi_51 = $row['jumlah_bobot_publikasi_51'];
$jumlah_bobot_publikasi_31 = $row['jumlah_bobot_publikasi_31'];
$jumlah_bobot_publikasi_21 = $row['jumlah_bobot_publikasi_21'];
$jumlah_bobot_publikasi_11 = $row['jumlah_bobot_publikasi_11'];
$jumlah_bobot_publikasi_alll = $jumlah_bobot_publikasi_51 + $jumlah_bobot_publikasi_31 + $jumlah_bobot_publikasi_21 + $jumlah_bobot_publikasi_11;
$rasio_bobot_publikasii = number_format(($jumlah_bobot_publikasi_alll / ($putus_tahun_ini * 5)) * 100,3, '.', '');

$nilai_akhir = number_format(($rasio_bobot_proses + $rasio_waktu_putus + $rasio_waktu_minutasi + $persentase_dirput) / 4,2, '.', '');
$nilai_akhir1 = number_format(($rasio_waktu_putus + $rasio_waktu_minutasi + $rasio_bobot_publikasi) / 3,3, '.', '');
$nilai_akhir2 = number_format(($rasio_waktu_putus1 + $rasio_waktu_minutasi + $persentase_dirput) / 3,3, '.', '');
$nilai_akhir3 = number_format(($rasio_waktu_putusa + $rasio_waktu_minutasi + $rasio_bobot_publikasii) / 3,3, '.', '');

if ($rasio_bobot_publikasii <=50) {
	$warna_rasio_bobot_publikasii = 'red';
} else if ($rasio_bobot_publikasii >=75){
	$warna_rasio_bobot_publikasii = '#9ACD32';
} else {
	$warna_rasio_bobot_publikasii = '#f1c40f';
}


if ($nilai_akhir1 <=50) {
	$warna_nilai_akhir1 = 'red';
} else if ($nilai_akhir1 >=75){
	$warna_nilai_akhir1 = '#9ACD32';
} else {
	$warna_nilai_akhir1 = '#f1c40f';
}

if ($nilai_akhir3 <=50) {
	$warna_nilai_akhir3 = 'red';
} else if ($nilai_akhir3 >=75){
	$warna_nilai_akhir3 = '#9ACD32';
} else {
	$warna_nilai_akhir3 = '#f1c40f';
}

?>

<div class="main">
	<div class="dashboard">
		<center>
		<div class="statistik_title">STATISTIK PERKARA PADA <?=$namaPN;?> TAHUN <?=date("Y");?></div>
		<div class="statistik">
			<div class="chart" id="morris-line-chart"></div></div>
		<div class="statistik1">	
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Sisa Perkara<br>Tahun Lalu</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#9ACD32" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$sisa_tahun_lalu;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Perkara<br>Masuk</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#f1c40f" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$masuk_tahun_ini;?></font></h5>
			</div>
			<div class="box_ratioo">
			<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Beban<br>Perkara</font></h5>
			<h5 align="center" style="margin: 3px auto 0px;"><font color="#e74c3c" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$beban_tahun_ini;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Perkara<br>Putus</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#9ACD32" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$putus_tahun_ini;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Beban<br>Minutasi</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="orange" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$beban_minutasi_tahun_ini;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Minutasi<br>Perkara</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#orange" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$minutasi_tahun_ini;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Sisa Perkara<br>Tahun Ini</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#e74c3c" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$sisa_tahun_ini;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Sisa<br>Publikasi</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="orange" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$sisa_publikasi;?></font></h5>
			</div>
			<div class="box_ratioo">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Publikasi<br>Tahun Ini</font></h5>
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#9ACD32" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$dirput_tahun_ini;?></font></h5>
			</div>	
		</div>	
			
		<div class="statistik1">
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_persentase_putus;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Persentase Putus</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$persentase_putus;?> %</font></h5>
			</div>
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_rasio_bobot_proses;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Rasio Bobot Proses</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$rasio_bobot_proses;?> %</font></h5>
			</div>
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_rasio_waktu_putusa;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Rasio Waktu Putus</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$rasio_waktu_putusa;?> %</font></h5>
			</div>
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_rasio_waktu_minutasi;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Rasio Waktu Minutasi</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$rasio_waktu_minutasi;?> %</font></h5>
			</div>
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_rasio_bobot_publikasi;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Bobot Upload</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$rasio_bobot_publikasi;?> %</font></h5>
			</div>
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_rasio_bobot_publikasii;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Bobot Doc</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$rasio_bobot_publikasii;?> %</font></h5>
			</div>
			<div class="box_ratio" style="border-radius:10px; background:<?=$warna_nilai_akhir3;?>!important;">
				<h5 align="center" style="margin: 3px auto 0px;"><font color="#383838" size="2" face="Century Gothic">Nilai Badilag</font></h5>
				<h5 align="center" style="margin: 6px auto 0px;"><font color="#FFF" size="5" face="Century Gothic" style="text-shadow: -1px 0 #393939, 0 1px #393939, 1px 0 #393939, 0 -1px #393939;"><?=$nilai_akhir3;?> %</font></h5>
			</div>
		</div>
		
		</center>	
		<div>
		<center>
		<marquee style="margin-top:-10" width="70%"><font color="#006640;" size="3px" face="Century Gothic"><b><br>Untuk me-refresh Statistik dan Data Perkara silahkan tekan Ctrl + F5 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
		Disclaimer: Persentase Pada Aplikasi ini Belum Tentu Sama dengan Report Penilaian Badilag Dikarenakan Proses Sinkronisasi atau Sebab Lain</b></font>
		</marquee>
		</center>
		</div>	
	</div>
</div>


<script>
var months = ["Jan", "Feb", "Mar", "Apr", "Mei", "Jun", "Jul", "Agu", "Sep", "Okt", "Nop", "Des"];

Morris.Line({
  element: 'morris-line-chart',
  data: <?php print json_encode($rows); ?>,
  xkey: 'bulan',
  ykeys: ['sisa', 'masuk', 'putus', 'minutasi'],
  labels: ['Sisa Lalu', 'Masuk', 'Putus', 'Minutasi'],
  lineColors: ['rgb(231, 76, 60)','rgb(241, 196, 15)','#9ACD32','rgb(46, 204, 113)'],
  ymax: 'auto[<?php echo $max_key;?>]',
  xLabelFormat: function(x) { // <--- x.getMonth() returns valid index
    var month = months[x.getMonth()];
    return month;
  },
  dateFormat: function(x) {
    var month = months[new Date(x).getMonth()];
    return month;
  },
  resize: true
});

</script>